require('packer').startup(function(use)
  use { "williamboman/mason.nvim" }

  use {
    'VonHeikemen/lsp-zero.nvim',
    requires = {
      -- LSP Support
      { 'neovim/nvim-lspconfig' },
      { 'williamboman/mason.nvim' },
      { 'williamboman/mason-lspconfig.nvim' },

      -- Autocompletion
      { 'hrsh7th/nvim-cmp' },
      { 'hrsh7th/cmp-buffer' },
      { 'hrsh7th/cmp-path' },
      { 'saadparwaiz1/cmp_luasnip' },
      { 'hrsh7th/cmp-nvim-lsp' },
      { 'hrsh7th/cmp-nvim-lua' },

      -- Snippets
      { 'L3MON4D3/LuaSnip' },
      { 'rafamadriz/friendly-snippets' },
    }
  }

  use {
    'nvim-treesitter/nvim-treesitter',
    run = function() require('nvim-treesitter.install').update({ with_sync = true }) end,
  }

  use { 'kien/ctrlp.vim' }

  use { 'tpope/vim-commentary' }
  use { 'tpope/vim-surround' }

  use { 'vim-scripts/lastpos.vim' }
end)

local lsp = require('lsp-zero')

lsp.preset('recommended')
lsp.setup()

require('nvim-treesitter.configs').setup{highlight={enable=true}}
